CVE-2004-0134
CVSS7.2
发布时间 :2004-08-18 00:00:00
修订时间 :2008-09-05 16:37:37
NMCOPS    

[原文]cpr (libcpr) in SGI IRIX before 6.5.25 allows local users to gain privileges by loading a user provided library while restarting the checkpointed process.


[CNNVD]IRIX Checkpoint和Restart libcpr库装载权限提升漏洞(CNNVD-200408-169)

        
        IRIX是一款由SGI公司开发和维护的商业性质UNIX操作系统。
        IRIX Checkpoint和Restart libcpr在装载库重启Checkpoint进程时存在问题,本地攻击者可以利用这个漏洞获得ROOT权限。
        /usr/sbin/cpr程序在重新启动Checkpoint的进程时可被迫使加载用户提供的库,导致获得ROOT用户权限,目前没有详细漏洞细节提供。
        

- CVSS (基础分值)

CVSS分值: 7.2 [严重(HIGH)]
机密性影响: COMPLETE [完全的信息泄露导致所有系统文件暴露]
完整性影响: COMPLETE [系统完整性可被完全破坏]
可用性影响: COMPLETE [可能导致系统完全宕机]
攻击复杂度: LOW [漏洞利用没有访问限制 ]
攻击向量: LOCAL [漏洞利用需要具有物理访问权限或本地帐户]
身份认证: NONE [漏洞利用无需身份认证]

- CPE (受影响的平台与产品)

产品及版本信息(CPE)暂不可用

- OVAL (用于检测的技术细节)

未找到相关OVAL定义

- 官方数据库链接

http://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2004-0134
(官方数据源) MITRE
http://web.nvd.nist.gov/view/vuln/detail?vulnId=CVE-2004-0134
(官方数据源) NVD
http://www.cnnvd.org.cn/vulnerability/show/cv_cnnvdid/CNNVD-200408-169
(官方数据源) CNNVD

- 其它链接及资源

http://xforce.iss.net/xforce/xfdb/16259
(VENDOR_ADVISORY)  XF  irix-cpr-gain-privileges(16259)
http://www.securityfocus.com/bid/10418
(VENDOR_ADVISORY)  BID  10418
ftp://patches.sgi.com/support/free/security/advisories/20040507-01-P.asc
(UNKNOWN)  SGI  20040507-01-P

- 漏洞信息

IRIX Checkpoint和Restart libcpr库装载权限提升漏洞
高危 未知
2004-08-18 00:00:00 2005-10-20 00:00:00
本地  
        
        IRIX是一款由SGI公司开发和维护的商业性质UNIX操作系统。
        IRIX Checkpoint和Restart libcpr在装载库重启Checkpoint进程时存在问题,本地攻击者可以利用这个漏洞获得ROOT权限。
        /usr/sbin/cpr程序在重新启动Checkpoint的进程时可被迫使加载用户提供的库,导致获得ROOT用户权限,目前没有详细漏洞细节提供。
        

- 公告与补丁

        厂商补丁:
        SGI
        ---
        SGI已经为此发布了一个安全公告(20040507-01-P)以及相应补丁:
        20040507-01-P:IRIX libcpr vulnerability
        链接:ftp://patches.sgi.com/support/free/security/advisories/20040507-01-P
        补丁情况:
         系统版本 是否受影响 补丁号 备注
         ---------- ----------- ------- -------------
         IRIX 3.x 未知 备注 1
         IRIX 4.x 未知 备注 1
         IRIX 5.x 未知 备注 1
         IRIX 6.0.x 未知 备注 1
         IRIX 6.1 未知 备注 1
         IRIX 6.2 未知 备注 1
         IRIX 6.3 未知 备注 1
         IRIX 6.4 未知 备注 1
         IRIX 6.5 未知 备注 1
         IRIX 6.5.1 未知 备注 1
         IRIX 6.5.2 未知 备注 1
         IRIX 6.5.3 未知 备注 1
         IRIX 6.5.4 未知 备注 1
         IRIX 6.5.5 未知 备注 1
         IRIX 6.5.6 未知 备注 1
         IRIX 6.5.7 未知 备注 1
         IRIX 6.5.8 未知 备注 1
         IRIX 6.5.9 未知 备注 1
         IRIX 6.5.10 未知 备注 1
         IRIX 6.5.11 未知 备注 1
         IRIX 6.5.12 未知 备注 1
         IRIX 6.5.13 未知 备注 1
         IRIX 6.5.14 未知 备注 1
         IRIX 6.5.15 未知 备注 1
         IRIX 6.5.16 未知 备注 1
         IRIX 6.5.17 未知 备注 1
         IRIX 6.5.18 未知 备注 1
         IRIX 6.5.19 未知 备注 1
         IRIX 6.5.20m 是 5606 备注 2 & 3
         IRIX 6.5.20f 是 5607 备注 2 & 3
         IRIX 6.5.21 是 5608 备注 2 & 3
         IRIX 6.5.22 是 5609 备注 2 & 3
         IRIX 6.5.23 是 5609 备注 2 & 3
         IRIX 6.5.24 是 5610 备注 2 & 3
         IRIX 6.5.25 不
        备注:
        
        1) 这个版本的IRIX系统已经不再被维护了,请升级到受支持的版本,参看
        
        http://support.sgi.com来获得更多的信息。

        2) 如果你还未收到一张IRIX 6.5.x for IRIX 6.5的CD,请联系SGI的支持部门,或访问:h

- 漏洞信息 (F33431)

HexView Security Advisory 2004-05-07.01 (PacketStormID:F33431)
2004-05-26 00:00:00
HexView  support.sgi.com
advisory,root
irix
CVE-2004-0134
[点击下载]

SGI Security Advisory 20040507-01-P - Adam Gowdiak from the Poznan Supercomputing and Networking Center has reported that under certain conditions the /usr/sbin/cpr binary can be forced to load a user provided library while restarting the checkpointed process which can then be used to obtain root user privileges. All versions of IRIX prior to 6.5.25 are affected.

-----BEGIN PGP SIGNED MESSAGE-----

______________________________________________________________________________

                          SGI Security Advisory

   Title:      libcpr vulnerability
   Number:     20040507-01-P
   Date:       May 26, 2004
   Reference:  SGI BUG 914419
   Reference:  CVE CAN-2004-0134
   Fixed in:   Patches 5606, 5607, 5608, 5609 and 5610
______________________________________________________________________________

SGI provides this information freely to the SGI user community for its
consideration, interpretation, implementation and use.   SGI recommends
that this information be acted upon as soon as possible.

SGI provides the information in this Security Advisory on an "AS-IS"
basis only, and disclaims all warranties with respect thereto, express,
implied or otherwise, including, without limitation, any warranty of
merchantability or fitness for a particular purpose.  In no event shall
SGI be liable for any loss of profits, loss of business, loss of data or

for any indirect, special, exemplary, incidental or consequential damages
of any kind arising from your use of, failure to use or improper use of
any of the instructions or information in this Security Advisory.
_____________________________________________________________________________

- -----------------------
- --- Issue Specifics ---
- -----------------------

Adam Gowdiak from the Poznan Supercomputing and Networking Center
has reported that under certain conditions /usr/sbin/cpr binary can
be forced to load a user provided library while restarting the
checkpointed process which can be used to obtain root user privileges.

SGI has assigned the following Common Vulnerabilities and Exposures
(cve.mitre.org) name to this vulnerability:
http://cve.mitre.org/cgi-bin/cvename.cgi?name=CAN-2004-0134

SGI has investigated the issue and recommends the following steps for
resolving this issue.  It is HIGHLY RECOMMENDED that these measures
be implemented on ALL vulnerable SGI systems.  This issue has been
corrected in future releases of IRIX.


- --------------
- --- Impact ---
- --------------

To determine the version of IRIX you are running, execute the following
command:

  # /bin/uname -R

That will return a result similar to the following:

  # 6.5 6.5.21f

The first number ("6.5") is the release name, the second ("6.5.21f" in
this case) is the extended release name.  The extended release name
is the "version" we refer to throughout this document.


- ----------------
- --- Solution ---
- ----------------

SGI has provided a series of patches for these vulnerabilities.
Our recommendation is to upgrade to IRIX 6.5.25, or install the
appropriate patches.

OS Version     Vulnerable?     Patch #      Other Actions
- ----------     -----------     -------      -------------
IRIX 3.x        unknown                     Note 1
IRIX 4.x        unknown                     Note 1
IRIX 5.x        unknown                     Note 1
IRIX 6.0.x      unknown                     Note 1
IRIX 6.1        unknown                     Note 1
IRIX 6.2        unknown                     Note 1
IRIX 6.3        unknown                     Note 1
IRIX 6.4        unknown                     Note 1
IRIX 6.5        unknown                     Note 1
IRIX 6.5.1      unknown                     Note 1
IRIX 6.5.2      unknown                     Note 1
IRIX 6.5.3      unknown                     Note 1
IRIX 6.5.4      unknown                     Note 1
IRIX 6.5.5      unknown                     Note 1
IRIX 6.5.6      unknown                     Note 1
IRIX 6.5.7      unknown                     Note 1
IRIX 6.5.8      unknown                     Note 1
IRIX 6.5.9      unknown                     Note 1
IRIX 6.5.10     unknown                     Note 1
IRIX 6.5.11     unknown                     Note 1
IRIX 6.5.12     unknown                     Note 1
IRIX 6.5.13     unknown                     Note 1
IRIX 6.5.14     unknown                     Note 1
IRIX 6.5.15     unknown                     Note 1
IRIX 6.5.16     unknown                     Note 1
IRIX 6.5.17     unknown                     Note 1
IRIX 6.5.18     unknown                     Note 1
IRIX 6.5.19     unknown                     Note 1
IRIX 6.5.20m      yes            5606       Notes 2 & 3
IRIX 6.5.20f      yes            5607       Notes 2 & 3
IRIX 6.5.21       yes            5608       Notes 2 & 3
IRIX 6.5.22       yes            5609       Notes 2 & 3
IRIX 6.5.23       yes            5609       Notes 2 & 3
IRIX 6.5.24       yes            5610       Notes 2 & 3
IRIX 6.5.25       no

   NOTES

     1) This version of the IRIX operating system is not actively supported.
        Upgrade to an actively supported IRIX operating system.
        See http://support.sgi.com/ for more information.

     2) If you have not received an IRIX 6.5.X CD for IRIX 6.5, contact
        your SGI Support Provider or URL: http://support.sgi.com/

     3) Install the required patch(es) based on your operating release.


                ##### Patch File Checksums ####

The actual patch will be a tar file containing the following files:
Filename:                 README.patch.5606
Algorithm #1 (sum -r):    37588 8 README.patch.5606
Algorithm #2 (sum):       32901 8 README.patch.5606
MD5 checksum:             B5C3F81FF84AC7C9698FF5FBFCD23DD5

Filename:                 patchSG0005606
Algorithm #1 (sum -r):    37659 5 patchSG0005606
Algorithm #2 (sum):       7464 5 patchSG0005606
MD5 checksum:             C3AC7041D0BAE3F439A0426EFCB9C4CD

Filename:                 patchSG0005606.eoe_man
Algorithm #1 (sum -r):    37809 29 patchSG0005606.eoe_man
Algorithm #2 (sum):       6758 29 patchSG0005606.eoe_man
MD5 checksum:             0B817D89AE398F9B74A22EBF82FA53D7

Filename:                 patchSG0005606.eoe_sw
Algorithm #1 (sum -r):    60939 1681 patchSG0005606.eoe_sw
Algorithm #2 (sum):       42966 1681 patchSG0005606.eoe_sw
MD5 checksum:             BA965ED4F5B925F043B2BCDB29D1E5E4

Filename:                 patchSG0005606.eoe_sw64
Algorithm #1 (sum -r):    16988 1719 patchSG0005606.eoe_sw64
Algorithm #2 (sum):       7922 1719 patchSG0005606.eoe_sw64
MD5 checksum:             3C548C5DE1C693BDAA262AF0F8A349B7

Filename:                 patchSG0005606.idb
Algorithm #1 (sum -r):    48114 3 patchSG0005606.idb
Algorithm #2 (sum):       45251 3 patchSG0005606.idb
MD5 checksum:             7BE6C64724B749060DC208D581530059

Filename:                 README.patch.5607
Algorithm #1 (sum -r):    04156 9 README.patch.5607
Algorithm #2 (sum):       62950 9 README.patch.5607
MD5 checksum:             0A2EFE3AC5BC04E81A715E958FF1ED4A

Filename:                 patchSG0005607
Algorithm #1 (sum -r):    41377 5 patchSG0005607
Algorithm #2 (sum):       35341 5 patchSG0005607
MD5 checksum:             6020A4ED5C6D0E4F7CD07BFAB1E07652

Filename:                 patchSG0005607.eoe_man
Algorithm #1 (sum -r):    37809 29 patchSG0005607.eoe_man
Algorithm #2 (sum):       6758 29 patchSG0005607.eoe_man
MD5 checksum:             0B817D89AE398F9B74A22EBF82FA53D7

Filename:                 patchSG0005607.eoe_sw
Algorithm #1 (sum -r):    07626 1847 patchSG0005607.eoe_sw
Algorithm #2 (sum):       59526 1847 patchSG0005607.eoe_sw
MD5 checksum:             7F85081459DBF8A512FD2FFBD9AD1D37

Filename:                 patchSG0005607.eoe_sw64
Algorithm #1 (sum -r):    27243 1720 patchSG0005607.eoe_sw64
Algorithm #2 (sum):       31616 1720 patchSG0005607.eoe_sw64
MD5 checksum:             68CC0D6EC13DAC63F11BE0C971250294

Filename:                 patchSG0005607.idb
Algorithm #1 (sum -r):    32428 4 patchSG0005607.idb
Algorithm #2 (sum):       26167 4 patchSG0005607.idb
MD5 checksum:             BE05BCF4016B097EF4225479B66B506A

Filename:                 README.patch.5608
Algorithm #1 (sum -r):    44575 8 README.patch.5608
Algorithm #2 (sum):       32934 8 README.patch.5608
MD5 checksum:             61695BFDD1A066D99FF588BF45357361

Filename:                 patchSG0005608
Algorithm #1 (sum -r):    16737 4 patchSG0005608
Algorithm #2 (sum):       59501 4 patchSG0005608
MD5 checksum:             ED7D6F6A9486FFA247152A041355369D

Filename:                 patchSG0005608.eoe_man
Algorithm #1 (sum -r):    38217 30 patchSG0005608.eoe_man
Algorithm #2 (sum):       34665 30 patchSG0005608.eoe_man
MD5 checksum:             5640D001B448B2A37F2852D299C6D584

Filename:                 patchSG0005608.eoe_sw
Algorithm #1 (sum -r):    65175 1695 patchSG0005608.eoe_sw
Algorithm #2 (sum):       59497 1695 patchSG0005608.eoe_sw
MD5 checksum:             25ABFCCE90C4807F2D03D21D74A48C2B

Filename:                 patchSG0005608.eoe_sw64
Algorithm #1 (sum -r):    09274 1718 patchSG0005608.eoe_sw64
Algorithm #2 (sum):       10352 1718 patchSG0005608.eoe_sw64
MD5 checksum:             E570B855EBDB9606B84B60B3FFB171C1

Filename:                 patchSG0005608.idb
Algorithm #1 (sum -r):    47068 3 patchSG0005608.idb
Algorithm #2 (sum):       45435 3 patchSG0005608.idb
MD5 checksum:             336B55C8AA738819E801EB674F3F4AD8

Filename:                 README.patch.5609
Algorithm #1 (sum -r):    57021 8 README.patch.5609
Algorithm #2 (sum):       23379 8 README.patch.5609
MD5 checksum:             9585A8388D55FD6E5D8496CFD3D3B07F

Filename:                 patchSG0005609
Algorithm #1 (sum -r):    31065 3 patchSG0005609
Algorithm #2 (sum):       13185 3 patchSG0005609
MD5 checksum:             7E8140FE524B1B42D411D8CF08363B23

Filename:                 patchSG0005609.eoe_sw
Algorithm #1 (sum -r):    42020 1689 patchSG0005609.eoe_sw
Algorithm #2 (sum):       42175 1689 patchSG0005609.eoe_sw
MD5 checksum:             F211BA20C8ADDB51E75DE1D790331D45

Filename:                 patchSG0005609.eoe_sw64
Algorithm #1 (sum -r):    02074 1710 patchSG0005609.eoe_sw64
Algorithm #2 (sum):       24791 1710 patchSG0005609.eoe_sw64
MD5 checksum:             A2AC8FB26FF1B4723251B30E80E1E486

Filename:                 patchSG0005609.idb
Algorithm #1 (sum -r):    18602 3 patchSG0005609.idb
Algorithm #2 (sum):       23438 3 patchSG0005609.idb
MD5 checksum:             F6E5E81876FC2F79DE2F77CB539EC453

Filename:                 README.patch.5610
Algorithm #1 (sum -r):    51110 8 README.patch.5610
Algorithm #2 (sum):       20293 8 README.patch.5610
MD5 checksum:             9800BD29494DB131DF267C73152CAA27

Filename:                 patchSG0005610
Algorithm #1 (sum -r):    20688 3 patchSG0005610
Algorithm #2 (sum):       5422 3 patchSG0005610
MD5 checksum:             AE133E85CD9516BF1A2C318851418D8F

Filename:                 patchSG0005610.eoe_sw
Algorithm #1 (sum -r):    14132 1682 patchSG0005610.eoe_sw
Algorithm #2 (sum):       2892 1682 patchSG0005610.eoe_sw
MD5 checksum:             277CEB35D636450629DB25AC2743266A

Filename:                 patchSG0005610.eoe_sw64
Algorithm #1 (sum -r):    27314 1700 patchSG0005610.eoe_sw64
Algorithm #2 (sum):       6892 1700 patchSG0005610.eoe_sw64
MD5 checksum:             62284868F4DAEDCBD85B6A7EDDA02F58

Filename:                 patchSG0005610.idb
Algorithm #1 (sum -r):    38492 3 patchSG0005610.idb
Algorithm #2 (sum):       23256 3 patchSG0005610.idb
MD5 checksum:             3252933C83413CE3EFA45E17897BE9AA


- ------------------------
- --- Acknowledgments ----
- ------------------------

SGI wishes to thank Adam Gowdiak and the Poznan Supercomputing and
Networking Center for their assistance in this matter.


- -------------
- --- Links ---
- -------------

SGI Security Advisories can be found at:
http://www.sgi.com/support/security/ and
ftp://patches.sgi.com/support/free/security/advisories/

Red Hat Errata: Security Alerts, Bugfixes, and Enhancements
http://www.redhat.com/apps/support/errata/

SGI Advanced Linux Environment security updates can found on:
ftp://oss.sgi.com/projects/sgi_propack/download/

SGI patches can be found at the following patch servers:
http://support.sgi.com/

The primary SGI anonymous FTP site for security advisories and
security patches is ftp://patches.sgi.com/support/free/security/


- -----------------------------------------
- --- SGI Security Information/Contacts ---
- -----------------------------------------

If there are questions about this document, email can be sent to
security-info@sgi.com.

                      ------oOo------

SGI provides security information and patches for use by the entire SGI
community.  This information is freely available to any person needing the
information and is available via anonymous FTP and the Web.

The primary SGI anonymous FTP site for security advisories and patches is
patches.sgi.com.  Security advisories and patches are located under the URL
ftp://patches.sgi.com/support/free/security/

The SGI Security Headquarters Web page is accessible at the URL:
http://www.sgi.com/support/security/

For issues with the patches on the FTP sites, email can be sent to
security-info@sgi.com.

For assistance obtaining or working with security patches, please
contact your SGI support provider.

                      ------oOo------

SGI provides a free security mailing list service called wiretap and
encourages interested parties to self-subscribe to receive (via email) all
SGI Security Advisories when they are released. Subscribing to the mailing
list can be done via the Web
(http://www.sgi.com/support/security/wiretap.html) or by sending email to
SGI as outlined below.

% mail wiretap-request@sgi.com
subscribe wiretap < YourEmailAddress such as midwatch@sgi.com >
end
^d

In the example above, <YourEmailAddress> is the email address that you wish
the mailing list information sent to.  The word end must be on a separate
line to indicate the end of the body of the message. The control-d (^d) is
used to indicate to the mail program that you are finished composing the
mail message.


                      ------oOo------

SGI provides a comprehensive customer World Wide Web site. This site is
located at http://www.sgi.com/support/security/ .

                      ------oOo------

If there are general security questions on SGI systems, email can be sent to
security-info@sgi.com.

For reporting *NEW* SGI security issues, email can be sent to
security-alert@sgi.com or contact your SGI support provider.  A support
contract is not required for submitting a security report.

______________________________________________________________________________
      This information is provided freely to all interested parties
      and may be redistributed provided that it is not altered in any
      way, SGI is appropriately credited and the document retains and
      includes its valid PGP signature.

-----BEGIN PGP SIGNATURE-----
Version: 2.6.2

iQCVAwUBQLTG0rQ4cFApAP75AQGuxwP+NWbyADTnKYGHYSgiKT1tdIukggG+/Vxi
TCCRzTBJ7PL2Lhv+qbCmDNMl7UX4WXYAsTxSP760zk8jiUR6JXOgDLhbYFK5bABA
eqBMaZWDMK7L+1IVl94Rvw7/5xXkQ05FGAdiQpVH2LtsszNzZiLeV5Eto3gTuuAr
+zJC2vc6oQA=
=2E6X
-----END PGP SIGNATURE-----
    

- 漏洞信息

6434
IRIX cpr Library Load Privilege Escalation
Local Access Required Attack Type Unknown
Loss of Confidentiality, Loss of Integrity
Exploit Unknown

- 漏洞描述

IRIX contains a flaw that may allow a malicious user to gain access to unauthorized privileges. The issue is triggered when restarting the checkpointed process, a malicious user can force a user provided library to be loaded through the cpr binary. This flaw may lead to a loss of integrity and confidentiality.

- 时间线

2004-05-26 Unknow
Unknow Unknow

- 解决方案

Upgrade to version 6.5.25 or higher, as it has been reported to fix this vulnerability. It is also possible to correct the flaw by implementing the following workaround(s): Install vendor patch for the vulnerable version.

- 相关参考

- 漏洞作者

- 漏洞信息

IRIX Checkpoint and Restart libcpr Library Loading Privilege Escalation Vulnerability
Unknown 10418
No Yes
2004-05-26 12:00:00 2009-07-12 05:16:00
Discovery of this issue is credited to Adam Gowdiak from the Poznan Supercomputing and Networking Center.

- 受影响的程序版本

SGI IRIX 6.5.24
SGI IRIX 6.5.23
SGI IRIX 6.5.22 m
SGI IRIX 6.5.22
SGI IRIX 6.5.21 m
SGI IRIX 6.5.21 f
SGI IRIX 6.5.21
SGI IRIX 6.5.20 m
SGI IRIX 6.5.20 f
SGI IRIX 6.5.20
SGI IRIX 6.5.19 m
SGI IRIX 6.5.19 f
SGI IRIX 6.5.19
SGI IRIX 6.5.18 m
SGI IRIX 6.5.18 f
SGI IRIX 6.5.18
SGI IRIX 6.5.17 m
SGI IRIX 6.5.17 f
SGI IRIX 6.5.17
SGI IRIX 6.5.16 m
SGI IRIX 6.5.16 f
SGI IRIX 6.5.16
SGI IRIX 6.5.15 m
SGI IRIX 6.5.15 f
SGI IRIX 6.5.15
SGI IRIX 6.5.14 m
SGI IRIX 6.5.14 f
SGI IRIX 6.5.14
SGI IRIX 6.5.13 m
SGI IRIX 6.5.13 f
SGI IRIX 6.5.13
SGI IRIX 6.5.12 m
SGI IRIX 6.5.12 f
SGI IRIX 6.5.12
SGI IRIX 6.5.11 m
SGI IRIX 6.5.11 f
SGI IRIX 6.5.11
SGI IRIX 6.5.10 m
SGI IRIX 6.5.10 f
SGI IRIX 6.5.10
SGI IRIX 6.5.9 m
SGI IRIX 6.5.9 f
SGI IRIX 6.5.9
SGI IRIX 6.5.8 m
SGI IRIX 6.5.8 f
SGI IRIX 6.5.8
SGI IRIX 6.5.7 m
SGI IRIX 6.5.7 f
SGI IRIX 6.5.7
SGI IRIX 6.5.6 m
SGI IRIX 6.5.6 f
SGI IRIX 6.5.6
SGI IRIX 6.5.5 m
SGI IRIX 6.5.5 f
SGI IRIX 6.5.5
SGI IRIX 6.5.4 m
SGI IRIX 6.5.4 f
SGI IRIX 6.5.4
SGI IRIX 6.5.3 m
SGI IRIX 6.5.3 f
SGI IRIX 6.5.3
SGI IRIX 6.5.2 m
SGI IRIX 6.5.2 f
SGI IRIX 6.5.2
SGI IRIX 6.5.1
SGI IRIX 6.5 20
SGI IRIX 6.5 .19m
SGI IRIX 6.5 .19f
SGI IRIX 6.5
SGI IRIX 6.4
SGI IRIX 6.3
SGI IRIX 6.2
SGI IRIX 6.1
SGI IRIX 6.0.1 XFS
SGI IRIX 6.0.1
SGI IRIX 6.0
SGI IRIX 5.3 XFS
SGI IRIX 5.3
SGI IRIX 5.2
SGI IRIX 5.1.1
SGI IRIX 5.1
SGI IRIX 5.0.1
SGI IRIX 5.0
SGI IRIX 4.0.5 IPR
SGI IRIX 4.0.5 H
SGI IRIX 4.0.5 G
SGI IRIX 4.0.5 F
SGI IRIX 4.0.5 E
SGI IRIX 4.0.5 D
SGI IRIX 4.0.5 A
SGI IRIX 4.0.5 (IOP)
SGI IRIX 4.0.5
SGI IRIX 4.0.4 T
SGI IRIX 4.0.4 B
SGI IRIX 4.0.4
SGI IRIX 4.0.3
SGI IRIX 4.0.2
SGI IRIX 4.0.1 T
SGI IRIX 4.0.1
SGI IRIX 4.0
SGI IRIX 3.3.3
SGI IRIX 3.3.2
SGI IRIX 3.3.1
SGI IRIX 3.3
SGI IRIX 3.2
GNU Mailman 2.1.10 b1
GNU Mailman 2.1.4
GNU Mailman 2.1.3
GNU Mailman 2.1.1
+ RedHat Linux 9.0 i386
+ RedHat Linux 7.3 i686
+ RedHat Linux 7.3 i386
+ RedHat Linux 7.3
GNU Mailman 2.1
GNU Mailman 2.0.13
+ Red Hat Enterprise Linux AS 2.1 IA64
+ Red Hat Enterprise Linux AS 2.1
+ RedHat Enterprise Linux ES 2.1 IA64
+ RedHat Enterprise Linux ES 2.1
+ RedHat Enterprise Linux WS 2.1 IA64
+ RedHat Enterprise Linux WS 2.1
GNU Mailman 2.0.12
GNU Mailman 2.0.11
+ Debian Linux 3.0
GNU Mailman 2.0.10
GNU Mailman 2.0.9
GNU Mailman 2.0.8
+ Conectiva Linux 8.0
+ Conectiva Linux 7.0
+ Conectiva Linux 6.0
+ Conectiva Linux 5.1
+ Conectiva Linux 5.0
+ RedHat Linux 7.3 i386
+ RedHat Linux 7.2 ia64
+ RedHat Linux 7.2 i386
- RedHat PowerTools 7.1
- RedHat PowerTools 7.0
GNU Mailman 2.0.7
GNU Mailman 2.0.6
GNU Mailman 2.0.5
+ Conectiva Linux 7.0
+ Conectiva Linux 6.0
+ Conectiva Linux 5.1
+ Conectiva Linux 5.0
+ Conectiva Linux 4.2
+ Conectiva Linux 4.1
- Debian Linux 2.2 sparc
- Debian Linux 2.2 powerpc
- Debian Linux 2.2 arm
- Debian Linux 2.2 alpha
- Debian Linux 2.2 68k
- Debian Linux 2.2
- FreeBSD FreeBSD 4.3
- HP HP-UX 11.11
- HP HP-UX 11.0
- HP HP-UX 10.20
- Mandriva Linux Mandrake 8.0
- Mandriva Linux Mandrake 7.2
- Mandriva Linux Mandrake 7.1
- NetBSD NetBSD 1.5.2
- NetBSD NetBSD 1.5.1
- OpenBSD OpenBSD 2.9
- OpenBSD OpenBSD 2.8
- OpenBSD OpenBSD 2.7
- RedHat Linux 7.1
- RedHat Linux 7.0
- S.u.S.E. Linux 7.2
- S.u.S.E. Linux 7.1
- S.u.S.E. Linux 7.0
- Slackware Linux 8.0
- Slackware Linux 7.1
- Slackware Linux 7.0
- Sun Solaris 8_sparc
- Sun Solaris 7.0
- Sun Solaris 2.6
GNU Mailman 2.0.4
GNU Mailman 2.0.4
GNU Mailman 2.0.3
GNU Mailman 2.0.2
GNU Mailman 2.0.1
GNU Mailman 2.0 beta5
GNU Mailman 2.0 beta4
- BSDI BSD/OS 4.0
- Conectiva Linux 5.1
- Conectiva Linux 5.0
- Conectiva Linux 4.2
- Conectiva Linux 4.1
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- FreeBSD FreeBSD 3.5
- HP HP-UX 11.0
- HP HP-UX 10.20
- IBM AIX 4.3
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
+ RedHat Secure Web Server 3.2 i386
+ RedHat Secure Web Server 3.1 sparc
+ RedHat Secure Web Server 3.1 i386
+ RedHat Secure Web Server 3.1 alpha
+ RedHat Secure Web Server 3.0 i386
- SGI IRIX 6.5
- Sun Solaris 8_sparc
- Sun Solaris 7.0
GNU Mailman 2.0 beta3
- BSDI BSD/OS 4.0
- Conectiva Linux 5.1
- Conectiva Linux 5.0
- Conectiva Linux 4.2
- Conectiva Linux 4.1
- Debian Linux 2.2
- Debian Linux 2.1
- Digital UNIX 4.0
- FreeBSD FreeBSD 5.0
- FreeBSD FreeBSD 4.0
- FreeBSD FreeBSD 3.5
- HP HP-UX 11.0
- HP HP-UX 10.20
- IBM AIX 4.3
- Mandriva Linux Mandrake 7.1
- Mandriva Linux Mandrake 7.0
- NetBSD NetBSD 1.4.2 x86
- NetBSD NetBSD 1.4.1 x86
+ RedHat Secure Web Server 3.2 i386
+ RedHat Secure Web Server 3.1 sparc
+ RedHat Secure Web Server 3.1 i386
+ RedHat Secure Web Server 3.1 alpha
+ RedHat Secure Web Server 3.0 i386
- SGI IRIX 6.5
- Sun Solaris 8_sparc
- Sun Solaris 7.0
GNU Mailman 2.0 .8
+ RedHat Secure Web Server 3.2 i386
GNU Mailman 2.0 .7
GNU Mailman 2.0 .6
GNU Mailman 2.0 .5
GNU Mailman 2.0 .3
GNU Mailman 2.0 .2
GNU Mailman 2.0 .1
GNU Mailman 2.0
SGI IRIX 6.5.25
GNU Mailman 2.1.5
+ Debian Linux 3.1 sparc
+ Debian Linux 3.1 s/390
+ Debian Linux 3.1 ppc
+ Debian Linux 3.1 mipsel
+ Debian Linux 3.1 mips
+ Debian Linux 3.1 m68k
+ Debian Linux 3.1 ia-64
+ Debian Linux 3.1 ia-32
+ Debian Linux 3.1 hppa
+ Debian Linux 3.1 arm
+ Debian Linux 3.1 amd64
+ Debian Linux 3.1 alpha
+ Debian Linux 3.1
+ Mandriva Linux Mandrake 10.1 x86_64
+ Mandriva Linux Mandrake 10.1
+ Red Hat Enterprise Linux AS 4
+ Red Hat Enterprise Linux AS 3
+ RedHat Enterprise Linux Desktop version 4
+ RedHat Enterprise Linux ES 4
+ RedHat Enterprise Linux ES 3
+ RedHat Enterprise Linux WS 4
+ RedHat Enterprise Linux WS 3

- 不受影响的程序版本

SGI IRIX 6.5.25
GNU Mailman 2.1.5
+ Debian Linux 3.1 sparc
+ Debian Linux 3.1 s/390
+ Debian Linux 3.1 ppc
+ Debian Linux 3.1 mipsel
+ Debian Linux 3.1 mips
+ Debian Linux 3.1 m68k
+ Debian Linux 3.1 ia-64
+ Debian Linux 3.1 ia-32
+ Debian Linux 3.1 hppa
+ Debian Linux 3.1 arm
+ Debian Linux 3.1 amd64
+ Debian Linux 3.1 alpha
+ Debian Linux 3.1
+ Mandriva Linux Mandrake 10.1 x86_64
+ Mandriva Linux Mandrake 10.1
+ Red Hat Enterprise Linux AS 4
+ Red Hat Enterprise Linux AS 3
+ RedHat Enterprise Linux Desktop version 4
+ RedHat Enterprise Linux ES 4
+ RedHat Enterprise Linux ES 3
+ RedHat Enterprise Linux WS 4
+ RedHat Enterprise Linux WS 3

- 漏洞讨论

IRIX Checkpoint and Restart libcpr is vulnerable to a library loading privilege escalation vulnerability.

This will allow an attacker to gain superuser privileges on an affected computer when successfully exploited.

- 漏洞利用

Currently we are not aware of any exploits for this issue. If you feel we are in error or are aware of more recent information, please mail us at: vuldb@securityfocus.com &lt;mailto:vuldb@securityfocus.com&gt;.

- 解决方案

The vendor has released an upgrade, as well as patches, dealing with this issue. Please see the referenced advisory for more information.


GNU Mailman 2.0 beta3

GNU Mailman 2.0

GNU Mailman 2.0 .1

GNU Mailman 2.0 .7

GNU Mailman 2.0 .5

GNU Mailman 2.0 .2

GNU Mailman 2.0 .8

GNU Mailman 2.0 beta4

GNU Mailman 2.0.1

GNU Mailman 2.0.10

GNU Mailman 2.0.11

GNU Mailman 2.0.13

GNU Mailman 2.0.2

GNU Mailman 2.0.3

GNU Mailman 2.0.4

GNU Mailman 2.0.5

GNU Mailman 2.0.6

GNU Mailman 2.0.7

GNU Mailman 2.0.8

GNU Mailman 2.0.9

GNU Mailman 2.1

GNU Mailman 2.1.1

GNU Mailman 2.1.10 b1

- 相关参考

 

 

关于SCAP中文社区

SCAP中文社区是国内第一个以SCAP为主题的中文开放社区。了解更多信息,请查阅[关于本站]

版权声明

CVE/CWE/OVAL均为MITRE公司的注册商标,它们的官方数据源均保存在MITRE公司的相关网站